# AppOp mode set

An action block that sets the mode for an “application operation” (run-time permission) for an app.

The fiber will proceed immediately without pause.

An alternative to this block is to use the Shell command privileged, ADB shell command or Shell command superuser block to execute: `appops set <package> <operation> <allow|deny|ignore|default>`, operation shouldn’t include `android:` prefix.

Caution! This feature is hidden prior to Android 6, there’s no official way to change it in system settings or otherwise on lower versions.

Note! This feature isn’t officially supported, requires Android 4.3+ and the privileged service, may not work on all devices.

## Input arguments

- Package — package name of the app.
- Operation — operation to set.
- Mode — mode of operation to set, default is Default for Android 5+, Errored otherwise.